# Field constructor

Field({

1. required FieldType type,
2. required OcrResult? value,
3. double confidenceWeight = 1.0,
4. ImageRef? image,
5. required List<Point<double>> polygonInRoot,
6. FieldValidationStatus validationStatus = FieldValidationStatus.NONE,
7. List<FieldParsedData>? parsedData,

})

## Implementation

    Field({
      required this.type,
      required this.value,
      this.confidenceWeight = 1.0,
      ImageRef? image,
      required this.polygonInRoot,
      this.validationStatus = FieldValidationStatus.NONE,
      List<FieldParsedData>? parsedData,
    })  : image = image ?? null,
          parsedData = parsedData ?? [];